package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.VipUserQuanyiMapper;
import com.ruoyi.system.domain.VipUserQuanyi;
import com.ruoyi.system.service.IVipUserQuanyiService;

/**
 * 用户优惠券
 Service业务层处理
 *
 * @author ruoyi
 * @date 2025-05-09
 */
@Service
public class VipUserQuanyiServiceImpl extends ServiceImpl<BaseMapper<VipUserQuanyi>,VipUserQuanyi> implements IVipUserQuanyiService
{
    @Autowired
    private VipUserQuanyiMapper vipUserQuanyiMapper;

    /**
     * 查询用户优惠券

     *
     * @param id 用户优惠券
    主键
     * @return 用户优惠券

     */
    @Override
    public VipUserQuanyi selectVipUserQuanyiById(Long id)
    {
        return vipUserQuanyiMapper.selectVipUserQuanyiById(id);
    }

    /**
     * 查询用户优惠券
     列表
     *
     * @param vipUserQuanyi 用户优惠券

     * @return 用户优惠券

     */
    @Override
    public List<VipUserQuanyi> selectVipUserQuanyiList(VipUserQuanyi vipUserQuanyi)
    {
        return vipUserQuanyiMapper.selectVipUserQuanyiList(vipUserQuanyi);
    }

    /**
     * 新增用户优惠券

     *
     * @param vipUserQuanyi 用户优惠券

     * @return 结果
     */
    @Override
    public int insertVipUserQuanyi(VipUserQuanyi vipUserQuanyi)
    {
        vipUserQuanyi.setCreateTime(DateUtils.getNowDate());
        return vipUserQuanyiMapper.insertVipUserQuanyi(vipUserQuanyi);
    }

    /**
     * 修改用户优惠券

     *
     * @param vipUserQuanyi 用户优惠券

     * @return 结果
     */
    @Override
    public int updateVipUserQuanyi(VipUserQuanyi vipUserQuanyi)
    {
        vipUserQuanyi.setUpdateTime(DateUtils.getNowDate());
        return vipUserQuanyiMapper.updateVipUserQuanyi(vipUserQuanyi);
    }

    /**
     * 批量删除用户优惠券

     *
     * @param ids 需要删除的用户优惠券
    主键
     * @return 结果
     */
    @Override
    public int deleteVipUserQuanyiByIds(Long[] ids)
    {
        return vipUserQuanyiMapper.deleteVipUserQuanyiByIds(ids);
    }

    /**
     * 删除用户优惠券
     信息
     *
     * @param id 用户优惠券
    主键
     * @return 结果
     */
    @Override
    public int deleteVipUserQuanyiById(Long id)
    {
        return vipUserQuanyiMapper.deleteVipUserQuanyiById(id);
    }
}
